Please Note: This hotfix is outdated and not required anymore in Gaia Version 2.2.1 and higher!

Applies To: Gaia 2 Version 2.2.0


Please Note: This hotfix is NOT required for Gaia Pro and only fixes an error that occurs when CTS is installed within the project.


This is hotfix package contains a fix for compilation errors that occur when using Gaia 2 together with CTS.


Fixed Issues:

When installing Gaia 2 alongside with CTS, you see the following error message in the console:

Assets\Procedural Worlds\Gaia\Scripts\Editor\SpawnerEditor.cs(954,23): error CS1061: 'Spawner' does not contain a definition for 'ConnectedCTSProfile' and no accessible extension method 'ConnectedCTSProfile' accepting a first argument of type 'Spawner' could be found (are you missing a using directive or an assembly reference?)

The hotfix will fix this compilation error so you can use Gaia 2 together with CTS and use the new integration features.


Applying the fix: 

Please download and install the patch package from the link below. You can install the file by double clicking on it while your Unity editor with the Gaia Pro project is open, or by selecting "Assets > Import Package > Custom Package..." from the top menu in the Unity editor.